[MainWindow.UpdaterOld]
@           = $TaskTab alias(taskview) ext(1) h(26089)
Header      = [UpdaterProfileHome_Header] xy(,,,25) extprm(1)
Group1      = [MainWindow.Update_Updater_Group1_New] a(la)
Group2      = [MainWindow.Update_Updater_Group2_New] a(la) xy(0,15)
Extras      = [MainWindow.Update_Updater_Extras] a(la) xy(,15)

[Templates]
$OpenUpdaterProgressWindow = window("UpdaterProgressWindow", p_itemID(name))

[MainWindow_Body.Updater]
$sbstBdLastRes       = LastRes( onclick($OpenUpdaterProgressWindow) )
$sbstBdActive        = Active( [MainWindow.Updater_UpdateStarted] )
$sbstBdInactiveEx    = InactiveEx([Value] sz(a,a) ns(schedule) subst(Name(sz(a,a) f("Description") at(singleline)) Val($LinkKL at(singleline) a(as) xy(0) text(capitalize(switch(schedule.Mode, "SchedulerDescription"), #schmEnabled == schedule.Mode && #schtWeekly == Type)) onclick(menu("[SchedulerModeMenu] subst(Settings(onclick(windowDlg(\"UpdaterSettings:RunMode\", p_CfgMode(2)))))")) )) use(1))
$sbstUpdNameCapt     = Caption( enable( s_IsFunctionalityLevel_Updater(LicInfo.FuncLevel) && !(Rollback.state & #StateFlagOperational) ) )
$sbstUpdNameBody     = Body( [ScanTask_Status2] use(1) subst( $sbstBdLastRes $sbstBdActive $sbstBdInactiveEx ) )
; ----
@                    = $TaskTab ext(1) h(26089)
Header               = a(lt) f("Header6KGreen") xy(-1)
TaskSep              = $TaskSep_Temp
Descr                = f("Description") a(sa) xy(,,,9)
;NewVer               = [MainWindow.Updater_NewVer] a(la) visible(global.NewProductVersion.Available && global.NewProductVersion.InfoLink)
;NoNewVer             = a(la) sz(,15) visible(!global.NewProductVersion.Available)
BasesStat            = [Value] a(la) xy(,12) subst(Name(f("Header1") sz(a,a)) Val(a(at) xy(5) f($IsBasesOk ? "Header1KGreen" : "Header1Red") text(tolower(f_BasesStatus(global.UpdateState)))))
BasesDate            = [Value] a(la) xy(,3) subst(Name(f("Description") sz(a,a)) Val(a(at) xy(5) f("Description") text(tolower(datetime(getBasesStatistics(#bs_kdb,2))))))
BasesCount           = [Value] a(la) xy(,3) subst(Name(f("Description") sz(a,a)) Val(a(at) xy(5) f("Description") text(getBasesStatistics(#bs_kdb,0) + getBasesStatistics(#bs_wa,0) + getBasesStatistics(#bs_ap,0) + getBasesStatistics(#bs_pas,0) + getBasesStatistics(#bs_parctl,0) + getBasesStatistics(#bs_adb,0) + getBasesStatistics(#bs_hips,0) + getBasesStatistics(#bs_ssa,0) + getBasesStatistics(#bs_vlns,0) + getBasesStatistics(#bs_ah,0))))
TableU = at(clickable) onclick(window("UpdTable")) a(la) xy(,3)
;Table                = [MainWindow.Updater_StatTable] b(KlBorder) a(la) xy(,7) mg(10,7)
Updater              = [Updater_Item] sz(p,a) a(la) xy(,10) subst( Name( subst( $sbstUpdNameCapt $sbstUpdNameBody ) ) )
Rollback             = [MainWindow_ProfileDoWork] sz(p,a) a(la) subst(Name(subst(Caption() )) Descr(use(1)) ) onclick(f_IsStateActive(state) ? f_setState(#TASK_REQUEST_STOP, name) : if(dialog("AskRollback"), f_setState(#TASK_REQUEST_RUN, name))) visible(($IsRollbackAllowed || (state & #StateFlagOperational)) && !(Updater.state & #StateFlagOperational)) enable(!(state & #StateFlagOperational))
VirusWatch           = $LinkKL a(rb) onclick(url($VirusWatchDefURL))

[UpdTable]
@ = [StyledWindowT_Small2] at(dragable,a_ok) subst( BodyEx( [UpdTable_Body] ) ) sz(480,a)

[UpdTable_Body]
@       = sz(p,a)
Table                = [MainWindow.Updater_StatTable] b(KlBorder) a(la) xy(,7) mg(10,7)

[Updater_Item]
@ = [WizardButton] alias(taskview) a(la) sz(p,a) bg(if(ctl.Caption.enabled, ctl.selected ? "HilightBtn_sel" : (ctl.hotlight ? "HilightBtn" : ""))) subst(Icon(i(s_MainWindow_ProfileDoWork_Icon(name)) enable(ctl.Caption.enabled)) Name([MainWindow_DoWork_Body] a(lt) xy(48,1)) Descr(use(0)) ) onclick(if(ctl.Caption.enabled, f_setState(f_IsStateActive(state) ? $OpenUpdaterProgressWindow : #TASK_REQUEST_RUN, name))) ext(1)

[MainWindow.Updater_NewVer]
@ = sz(p,a) bg("NewVerBg") mg(10,10)
NewVer               = a(lt) sz(a,a) i("warning") f("Header2")
Download             = a(as) xy(5) $LinkKL f("Header2LiteBlue") onclick(url(global.NewProductVersion.InfoLink)) use(NewProductVersion.InfoLink && NewProductVersion.InfoLink != "")

[MainWindow.Updater_UpdateStarted]
@            = sz(p,a) ext(1)
Duration     = [Value] a(la) subst(Name(sz(a,a) at(singleline) f("Description")) Val($LinkKL at(singleline) a(as) xy(0) text( !FileName ? s_StatusUdate(0) : s_StatusUdate(1) ) onclick($OpenUpdaterProgressWindow) ))
UpdateSize   = [Value] a(la) subst(Name(sz(a,a) at(singleline) f("Description")) Val(a(as) xy(0) at(singleline) f("Description") text(f_ObjSize(DownloadedBytesCount))))

[MainWindow.Updater_StatTable]
@   = sz(p,a) a(la)
d2  = [MainWindow.Updater_WorkArea_Statistics_Chart_Data]

[MainWindow.Updater_SpeedChart]
@   = sz(p,a) a(l)
d   = [ProfileHome_Chart] subst(Name() Chart([MainWindow.Update_Updater.SpeedChart_Chart]) Legend([MainWindow.Update_Updater.SpeedChart_Legend]) ) sz(p,152)

[MainReport.Updater]
@ = [ProfileReport] subst(Group1([MainReport.Updater_Events]) Descr([MainReport.Updater_Events_Descr]) ActionsArea(subst(Other(subst(GroupFilter(onclick(ctl.menu("MainWindow.Update_Filters"))))))) )

[MainReport.Updater_Events]
d = [Product_Events] subst(Report(group(runtask,ExtraInfoSub1) prm(#dbUpdate)) Time(group()) Application(use(0)) Task(use(0)) InSandbox(use(0)) Verdict(filter(auto,$VerdictDescrText,MainWindow.Update_Verdict_Filter)) Descr(use(0)) DetectType(use(0)) DetectName(use(0)) DetectDanger(use(0)) Exact(use(0)) Action(use(0)) Object(i("") filter()) Type(use(0)) Size(use(1)) Reason(use(1)) views([MainWindow.Update_Filters]))

[MainReport.Updater_Events_Descr]
@           = sz(p,a) a(la)
Title       = [Protection_Events_Descr_Title]
Time        = [MainReport_ListRowDesc] subst(Name() Val(subst(Name(text(datetimeDT(Timestamp))))))
Object      = [MainReport_ListRowDesc] subst(Name() Val(subst(Name(text($ObjectText)) Icon(i($ObjectIcon)))))
ObjectSize  = [MainReport_ListRowDesc] subst(Name() Val(subst(Name(text($ObjectSizeText)))))
Reason      = [MainReport_ListRowDesc] subst(Name() Val(subst(Name(text($ReasonText)))))

[UpdaterProfileHome_Header]
@           = a(lt)  sz(p,a) ext(1)
;Icon        = sz(35,a) a(lt) i("TaskUpdater2") extprm(1)
Caption1    = a(at) f("Header6") extprm(1)
Caption2    = a(as) f(global.UpdateState > 0x01 ? "Header6Red" : "Header6Green") text(tolower(f_BasesStatus(global.UpdateState))) extprm(1)
Description = a(la) f("Description") text(s_ProfileDescription(type)) extprm(1)

[MainWindow.Update_Updater_Group1_New]
@           = sz(p,a) a(la)
Info        = [MainWindow.Update_Updater_Group1_New_Info] xy(,,100,)
Start       = [BtnSquarePlay] a(rt) subst(Name()) enable(s_IsFunctionalityLevel_Updater(LicInfo.FuncLevel)) onclick(f_setState(#TASK_REQUEST_RUN, name)) visible(!((state & #StateFlagOperational) || (Rollback.state & #StateFlagOperational)))
Stop        = [BtnSquareStop] a(rt) subst(Name()) onclick(if(profile(id).cfg().schedule.Mode == #schmManual, f_setState(#TASK_REQUEST_STOP, if(Rollback.state & #StateFlagOperational, "Rollback", "Updater")))) visible((state & #StateFlagOperational) || (Rollback.state & #StateFlagOperational))

[MainWindow.Update_Updater_Group1_New_Info]
$RollbackActive  = ((Updater.state == #StateCompleted) && (Rollback.state == #StateCompleted) && (Rollback.lastCompleted > Updater.lastCompleted))
@                = sz(p,a)
Progress         = [ProfileHome_Progress] xy(,,,7) visible(!$RollbackActive)
Scheduler        = ns(schedule) $TaskVal xy(,,,7) use(!$IsRD) visible(!(state & #StateFlagOperational)) subst(Name() Val($Link text($SchedulerDescription) onclick(menu("[SchedulerModeMenu] subst(Settings(onclick(windowDlg(\"UpdaterSettings:RunMode\", p_CfgMode(2)))))"))))
;NextStart        = ns(schedule) $TaskVal xy(,,,7) use(!$IsRD) visible(!(state & #StateFlagOperational) && (Mode != #schmManual)) subst( Name() Val(text(datetime_notz(Time))) )
Settings         = $TaskVal xy(,,,7) visible(!(state & #StateFlagOperational)) subst(Name() Val($Link onclick(menu("SettingsLevelMenu_Updater")) text(level == #SETTINGS_LEVEL_DEFAULT ? $LevelSettStd : $LevelSettCustom)))
UpdateSize       = $TaskVal xy(,,,7) visible(state & #StateFlagOperational) subst(Name() Val(text(f_ObjSize(DownloadedBytesCount))))
TransferRate     = $TaskVal xy(,,,7) visible(state & #StateFlagOperational) subst(Name() Val())
Duration         = $TaskVal xy(,,,7) visible(state & #StateFlagOperational) subst(Name(text($Duration)) Val(text(timestamp(f_ProfileDurationTime()))))
ProgressRollback = [ProfileHome_Progress] xy(,,,7) alias(taskview) ns(Rollback) visible($RollbackActive)

[MainWindow.Update_Updater_Group2_New]
@               = sz(p,a) a(la)
Desc            = sz(p,a) a(lt) f("Normal_Bold") xy(,,,5) visible(Updater.state != #StateRunning && !global.NewProductVersion.Available)
;Info            = [MainWindow.Update_Updater_Group2_New_Info] mg(17,10) bg("ProfileBodyGroup") visible( Updater.state == #StateRunning || !global.NewProductVersion.Available)
Info2           = [MainWindow.Updater_NewVersionAvailable] 
;visible( global.NewProductVersion.Available && Updater.state != #StateRunning )

[MainWindow.Update_Updater_Group2_New_Info]
@               = sz(p,a) a(la)
;Status          = [Value] xy(,0) a(lt) sz(a,a) subst(Name() Val(a(at) xy(7) text(f_BasesStatus(global.UpdateState))))
;VirusWatch      = $Link xy(,0) a(rt) onclick(url($VirusWatchDefURL)) use(!$IsRD)
;Sep             = a(la) sz(p,2) xy(,8) bg("GridGroup")
Stat            = [MainWindow.Update_Updater.SpeedChart]

[MainWindow.Update_Updater_Extras]
@              = sz(p,a)
Extras         = a(lt) f("Header5Lite")
Rollback       = $Link a(la) xy(25,) f("Hotlink_Large_Normal") visible($IsRollbackAllowed && !(state & #StateFlagOperational) && !(Rollback.state & #StateFlagOperational)) onclick(if(dialog("AskRollback"), f_setState(#TASK_REQUEST_RUN, "Rollback")))
VirusWatch     = $Link a(la) xy(25,) f("Hotlink_Large_Normal") onclick(url($VirusWatchDefURL)) use(!$IsRD)

[MainWindow.Update_Updater]
@               = ext(1)
Info            = [MainWindow.Update_Updater_Info]

[MainWindow.Update_Updater_Info]
@               = sz(p,p)
Status          = [Value] xy(,0) a(lt) sz(a,a) subst(Name() Val(a(at) xy(7) text(f_BasesStatus(global.UpdateState))))
VirusWatch      = $Link xy(,0) a(rt) onclick(url($VirusWatchDefURL)) use(!$IsRD)
Sep             = a(la) sz(p,2) xy(,8) bg("GridGroup")
Stat            = [MainWindow.Update_Updater.SpeedChart]

[MainWindow.Update_Updater_Group2]
Info            = [MainWindow.Update_Updater_Group2_Info]
Start           = [BtnSquarePlay] a(rt) subst(Name()) enable(s_IsFunctionalityLevel_Updater(LicInfo.FuncLevel)) onclick(f_setState(#TASK_REQUEST_RUN, name)) visible(!((state & #StateFlagOperational) || (Rollback.state & #StateFlagOperational)))
Stop            = [BtnSquareStop] a(rt) subst(Name()) onclick(if(profile(id).cfg().schedule.Mode == #schmManual, f_setState(#TASK_REQUEST_STOP, if(Rollback.state & #StateFlagOperational, "Rollback", "Updater")))) visible((state & #StateFlagOperational) || (Rollback.state & #StateFlagOperational))

[MainWindow.Update_Updater_Group2_Info]
$RollbackActive  = ((Updater.state == #StateCompleted) && (Rollback.state == #StateCompleted) && (Rollback.lastCompleted > Updater.lastCompleted))
@                = sz(300,p)
Settings         = $TaskVal xy(,,,7) visible(!(state & #StateFlagOperational)) subst(Name() Val($Link onclick(menu("SettingsLevelMenu_Updater")) text(level == #SETTINGS_LEVEL_DEFAULT ? $LevelSettStd : $LevelSettCustom)))
Scheduler        = ns(schedule) $TaskVal xy(,,,7) use(!$IsRD) visible(!(state & #StateFlagOperational)) subst(Name() Val($Link text($SchedulerDescription) onclick(menu("[SchedulerModeMenu] subst(Settings(onclick(windowDlg(\"UpdaterSettings:RunMode\", p_CfgMode(2)))))"))))
UpdateSize       = $TaskVal xy(,,,7) visible(state & #StateFlagOperational) subst(Name() Val(text(f_ObjSize(DownloadedBytesCount))))
TransferRate     = $TaskVal xy(,,,7) visible(state & #StateFlagOperational) subst(Name() Val())
Duration         = $TaskVal xy(,,,7) visible(state & #StateFlagOperational) subst(Name(text($Duration)) Val(text(timestamp(f_ProfileDurationTime()))))
Progress         = [ProfileHome_Progress] xy(,,,7) visible(!$RollbackActive)
ProgressRollback = [ProfileHome_Progress] xy(,,,7) alias(taskview) ns(Rollback) visible($RollbackActive)
Rollback         = $Link a(lb) visible($IsRollbackAllowed && !(state & #StateFlagOperational) && !(Rollback.state & #StateFlagOperational)) onclick(if(dialog("AskRollback"), f_setState(#TASK_REQUEST_RUN, "Rollback")))


[MainWindow.Updater_NewVersionAvailable]
@          = a(la) sz(p,a)
H          = a(lt) sz(a,a) f("DescriptionBold") 
;i("warning") 

[MainWindow.Update_Updater.SpeedChart_Legend]
DownloadedBytesCount = [ChartLegend] subst(Text() Color(bg("Chart5")))

[MainWindow.Update_Updater.SpeedChart_Chart]
@       = t(chart) alias(chartsink) cprops(line,abs,60) refresh(1000) at(noborder,clickable) type(bytes) onclick($ProfileHome_Report)
DownloadedBytesCount   = t(chartline) id(Updater_DownloadedBytesCount) bg("Chart5") tt($TipText_Updater_DownloadedBytesCount)
;line1   = t(chartline) id(Updater_Speed) bg("Chart2") tt($TipText_Updater_DownloadedBytesCount) mode(abs)
Plot    = t(chartplotarea)
AxisY   = $DynamicChartAxisY
AxisX   = $DynamicChartAxisX

[LValue2]
@        = sz(p,a) a(la) ext(1)
Name     = sz(a,a) a(lt) extprm(1)
Val1Area = [Value2_Val1Area]
Val2Area = [Value2_Val2Area]

[Value2_Val1Area]
@       = sz(p,a) a(at) xy(,,150)
Val1    = sz(a,a) a(rt) extprm(1)
Dots1   = a(pb) bg("Points") sz(p,1) xy(,2) extprm(1)

[Value2_Val2Area]
@       = sz(p,a) a(rt) sz(150,a)
Val2    = sz(a,a) a(rt) extprm(1)
Dots2   = a(pb) bg("Points") sz(p,1) xy(,2) extprm(1)

[MainWindow.Updater_WorkArea_Statistics_Chart_Data]
@           = sz(p,a) a(lt) refresh(1000)
Header      = [LValue2] xy(,,,2) subst( Name(f("Normal_Bold") ) Val1(f("Normal_Bold")) Val2(f("Normal_Bold")) Dots1(use(0)) Dots2(use(0)) )
Malware     = [LValue2] xy(,,,1) subst( Name(text(s_BasesCounterType(#bs_kdb))) Val1(text(getBasesStatistics(#bs_kdb,0) ) ) Val2(text(datetime(getBasesStatistics(#bs_kdb,2))) ) )
Banners     = [LValue2] xy(,,,1) use(f_isInstalled("AdBlocker"))            subst( Name(text(s_BasesCounterType(#bs_adb) ))   Val1(text(getBasesStatistics(#bs_adb,0) ) )    Val2(text(datetime(getBasesStatistics(#bs_adb,2))) ) )
Phishing    = [LValue2] xy(,,,1) use(f_isInstalled("AntiPhishingService"))  subst( Name(text(s_BasesCounterType(#bs_ap)))     Val1(text(getBasesStatistics(#bs_ap,0) ) )     Val2(text(datetime(getBasesStatistics(#bs_ap,2))) ) )
Spam        = [LValue2] xy(,,,1) use(f_isInstalled("Anti_Spam"))            subst( Name(text(s_BasesCounterType(#bs_pas)))    Val1(text(getBasesStatistics(#bs_pas,0) ) )    Val2(text(datetime(getBasesStatistics(#bs_pas,2))) ) )
MalScripts  = [LValue2] xy(,,,1) use(f_isInstalled("Web_Monitoring"))       subst( Name(text(s_BasesCounterType(#bs_wa)))     Val1(text(getBasesStatistics(#bs_wa,0) ) )     Val2(text(datetime(getBasesStatistics(#bs_wa,2))) ) )
Unwanted    = [LValue2] xy(,,,1) use(f_isInstalled("ParCtl"))               subst( Name(text(s_BasesCounterType(#bs_parctl))) Val1(text(getBasesStatistics(#bs_parctl,0) ) ) Val2(text(datetime(getBasesStatistics(#bs_parctl,2))) ) )
Attacks     = [LValue2] xy(,,,1) use(f_isInstalled("ids"))                  subst( Name(text(s_BasesCounterType(#bs_ah)))     Val1(text(getBasesStatistics(#bs_ah,0) ) )     Val2(text(datetime(getBasesStatistics(#bs_ah,2))) ) )
BSS         = [LValue2] xy(,,,1) use(f_isInstalled("pdm"))                  subst( Name(text(s_BasesCounterType(#bs_ssa)))    Val1(text(getBasesStatistics(#bs_ssa,0) ) )    Val2(text(datetime(getBasesStatistics(#bs_ssa,2))) ) )

[MainWindow.Updater_WorkArea_Statistics]
@
Data    = [MainWindow.Updater_WorkArea_Statistics_Data]

[MainWindow.Updater_WorkArea_Statistics_Data]
@           = $List alias(updaterstat) prm(8) refresh(100) a(la) group(dateonly,dategroup(Date),default)
CounterType = at(fixedpos) text(s_BasesCounterType(CounterType)) sz(200) group(BasesCounterItem,CounterType,fixed) sort(,sortdown)
;New         = text(New) sz(a) a(r)
Total       = text(Total) sz(a) a(r)
BaseDate    = text(datetime(BaseDate)) sz(a) a(r)

[MainWindow.Update_Verdict_Filter]
ERROR                               = v(#eUPDATER_ERROR)
SOURCE_SELECTED                     = v(#eUPDATER_SOURCE_SELECTED)
ADMIN_KIT_SOURCE_SELECTED           = v(#eUPDATER_ADMIN_KIT_SOURCE_SELECTED)
PROXY_SERVER_SELECTED               = v(#eUPDATER_PROXY_SERVER_SELECTED)
DOWNLOAD_FILE_STARTED               = v(#eUPDATER_DOWNLOAD_FILE_STARTED)
FILE_DOWNLOADED                     = v(#eUPDATER_FILE_DOWNLOADED)
NEW_FILE_INSTALLED                  = v(#eUPDATER_NEW_FILE_INSTALLED)
FILE_UPDATED                        = v(#eUPDATER_FILE_UPDATED)
FILE_ROLLED_BACK                    = v(#eUPDATER_FILE_ROLLED_BACK)
StartInstallFilesForUpdate          = v(#eUPDATER_StartInstallFilesForUpdate)
StartInstallFilesForRetranslation   = v(#eUPDATER_StartInstallFilesForRetranslation)
StartCopyFilesForRollback           = v(#eUPDATER_StartCopyFilesForRollback)
DNS_NAME_RESOLVED                   = v(#eUPDATER_DNS_NAME_RESOLVED)
ComponentIsNotUpdated               = v(#eUPDATER_ComponentIsNotUpdated)
GeneratingFileListToDownload        = v(#eUPDATER_GeneratingFileListToDownload)

[MainWindow.Update_Filters]
@           = at(enum) v(ctl.parent.parent.value)
AllItems    = at(radiolike) v("1404010002df0000000000000021;Ti1010000099;Ve1000000088;Ob10000001be;Ty100000003c;Pa200000008d;Na2000000094;Si0000000061;")

[UpdaterSettings]
@    = [StyledWindowT_Small_Tab] at(dragable,a_ok,a_cancel) subst( BodyEx( [UpdaterSettings_Tab] ) ) sz(500,a) alias(taskedit)

[UpdaterSettings_Tab]
@           = $Tab sz(p,a)
Source      = [UpdaterSettings_Tab_Source]
RunMode     = [UpdaterSettings_Tab_RunMode]

[UpdaterSettings_Tab_Source]
@       = sz(p,a) mg(7,7) use(!p_CfgMode || p_CfgMode == 1) h(15893)
Cont    = [UpdaterSettings_Tab_Source_Cont]
Proxy   = $Button_Large a(ra) xy(,10) onclick(dialog("[TrafficMonitor_Proxy]"))
Region  = [UpdaterSettings_Tab_Source_Region]

[UpdaterSettings_Tab_Source_Cont]
@       = sz(p,194) b(System)
List    = [UpdaterSettings_Tab_Source_List]
Toolbar = [Grid.Toolbar.Template] a(lt) b() t(listtoolbar) subst(\
Add(onclick(add(dialog("", "List")))) \
Edit(enable(!(Type == #UPDSRC_AK || Type == #UPDSRC_KL) && depend(canEdit()))) \
Delete(enable(!(Type == #UPDSRC_AK || Type == #UPDSRC_KL) && depend(canEdit()))) \
MoveUp(use(1)) \
MoveDown(use(1)) \
)

[UpdaterSettings_Tab_Source_List]
@       = $ListToolbar at(noheader) alias(vector.UpdaterSource) v(Sources) unique(Path == newItem.Path) onok(if(!Sources.size("Enable"), balloon("NoUpdateSourcesSelected")))
Name    = at(checked) sz(a) text(Type == #UPDSRC_AK ? $UpdateSourceAK : Type == #UPDSRC_KL ? $UpdateSourceKL : Path) v(Enable)

[UpdaterSettings_Tab_Source_Region]
@               = $SettingsGroup v(UseRegion) xy(0,10)
RegionAuto      = t(radio) sz(a,a) v(0)
RegionManual    = t(radio) sz(a,a) a(la) xy(,7) v(1)
RegionCombo     = t(combo) sz(p,a) a(la) xy(17,7) at(sorted) enable(UseRegion) v(Region) alias(regions)

[UpdaterSettings_Tab_RunMode]
@           = sz(p,a) mg(7,7) use((!p_CfgMode || p_CfgMode == 2) && !$IsRD) h(15894)
Schedule    = [UpdaterSettings_Tab_RunMode_Schedule]
RunAs       = [RunAsGroup] xy(0,7) subst(Account(subst(Name(a(lc)) Val(t(edit) xy(100) sz(p,a) a(lt)))) Pswd(subst(Name(a(lc)) Val(t(edit) xy(100) sz(p,a) a(lt)))))

[UpdaterSettings_Tab_RunMode_Schedule]
@               = $SettingsGroup xy(0,) a(lt) v(schedule.Mode)
Auto            = t(radio) sz(a,a) v(#schmAuto) xy(,,,7)
Manual          = t(radio) sz(a,a) a(la) v(#schmManual) xy(,,,7)
Fixed           = t(radio) sz(a,a) a(la) v(#schmEnabled)
SchedulerView   = [SchedulerView] ns(schedule) a(la) xy(,17) enable(schedule.Mode == #schmEnabled) subst(RunLock(use(0)))

[ProxyAuthDialog]
$attribute = at(dragable,nohelp,a_ok,a_cancel,ontop,bottom,noautofocus)
@  = [StyledWindowT_Small] $attribute subst( BodyEx( [ProxyAuthDialog_Body] ) ) sz(300,a)

[ProxyAuthDialog_Modal]
$attribute = at(dragable,nohelp,a_ok,a_cancel)
@    = [StyledWindowT_Small] $attribute subst( BodyEx( [ProxyAuthDialog_Body] ) ) sz(300,a)

[ProxyAuthDialog_Body]
Login   = [Value] a(la) subst(Name(a(lc)) Val(t(edit) a(l) xy(120) sz(p,a) v(settings.ProxyLogin)))
Pswd    = [Value] a(la) xy(,7) subst(Name(a(lc)) Val(t(edit) at(password) a(l) xy(120) sz(p,a) oninit(if(settings.ProxyPassword=="",settings.ProxyPassword=crypt(""))) v(bicrypt(settings.ProxyPassword))))
Save    = $Check xy(,7,,) v(Save)

;------------- UpdaterProgressWindow -----------

[UpdaterProgressWindow]
@     = [StyledWindowT_Small]  at(minimizable,a_close,customfooter) sz(474,a) alias(taskview) h(15891) subst( Footer([ScanProgressWindow_Footer]) BodyEx( [UpdaterProgressWindow_Body] ))   text(if(f_IsStateActive(state), Completion + "% - ") + $ProfileName) bg("ColorWindow") onclose(if(p_fAutonomeMode && f_IsStateActive(state), msg("UpdateStopConfirm", #m_yesno) ? f_setState(#TASK_REQUEST_STOP) : false))

[UpdaterProgressWindow_Body]
@          = at(lt) sz(p,a) mg(9,12,13,17)
Icon       = sz(a,a) i(s_MainWindow_ProfileDoWork_Icon(name))
Caption    = at(singleline) a(at) xy(5,-3) f("Header6Lite") text(s_MainWindow_ProfileDoWork_CaptionDetails(name))
CaptionAfterPos = a(sa) xy(1) sz(0,0)
Status     = [UpdaterProgressWindow_Body_Status] xy(,0) a(sa) sz(p,a)
ActiveInfo = [UpdaterProgressWindow_Body_ActiveInfo] a(sa) sz(p,a) xy(,10) visible(f_IsStateActive(state))

[UpdaterProgressWindow_Body_Status]
Result        = [ScanTask_Status2] subst(Inactive([ScanTask_Status_Inactive2]) Active([UpdaterProgressWindow_Body_Status_Active]) ) visible1(!f_IsStateActive(state))
Duration      = [Value] a(la) xy() subst(Name(f("Normal_Black") at(singleline)) Val(f("Normal_Black") at(singleline) a(a) sz(p,a) text(capitalize(timestamp(f_ProfileDurationTime()), false)))) visible(!f_IsStateActive(state))
UpdateSize    = [Value] xy(,20) a(la) subst(Name(f("Normal_Black") at(singleline)) Val(a(at) f("Normal_Bold_Black") at(singleline) text(f_ObjSize(DownloadedBytesCount))) )
TransferRate  = [Value] a(la) subst(Name(f("Normal_Black") at(singleline)) Val(a(at) f("Normal_Bold_Black") at(singleline)) )

[UpdaterProgressWindow_Body_Status_Active]
@             = sz(a,a) ext(1)
Duration      = [Value] sz(a,a) a(la) subst(Name(sz(a,a) f("Description")) Val($LinkKL a(at) text(capitalize(timestamp(f_ProfileDurationTime()), false)) onclick($ProfileHome_Report)) )

[UpdaterProgressWindow_Body_ActiveInfo]
@           = sz(p,p) visible(f_IsStateActive(state))
Location    = [Value] subst(Name(f("Description") at(singleline)) Val(f("Description") a(at) at(singleline) text(HostPath))) visible(HostPath)
Downloading = [Value] a(la) xy(,12) subst(Name(f("Description") at(singleline)) Val(f("Description") a(at) at(singleline) text(FileName ? FileName : $FindNewFile )))
Progress    = t(progress) a(la) sz(270,22)  v(Completion) xy(,12)
Stop        = [BtnGlass26R] sz(44,22) a(as) xy(12) enable(!$IsActiveDisinfect) visible(f_IsStateActive(state)) onclick(if(msg(s_MainWindow_ScanDoWork(name), #m_yesno), f_setState(#TASK_REQUEST_STOP, name))) extprm(1)

[SettingsLevelMenu_Updater]
@           = t(menu) at(enum)
Medium      = text($LevelSettStd) at(radiolike) bp(ctl.selected = level == #SETTINGS_LEVEL_DEFAULT) onclick(f_Reset())
sep
Customize   = text($Customize)    at(radiolike) bp(ctl.selected = level == #SETTINGS_LEVEL_CUSTOM)  onclick(windowDlg("UpdaterSettings", p_CfgMode(1)))

[AskRollback]
@       = [StyledWindowT_Small] at(dragable,a_cancel) subst( BodyEx( [AskRollback_Body] ) ) sz(350,a) text($Rollback) h(15895)

[AskRollback_Body]
@       = sz(p,a) a(lt)
;Info    = [DialogInfoHeader] subst(Text())
Start   = [WizardButton] onclick(close(#m_res_ok)) xy(,,,0) subst(Name() Descr())

;------------- AskNewVersionDlg -------------

[AskNewVersionDlg]
@ = [AlertDialogT_Green] h(26721) subst(TaskName(text($UpdateProduct)) Bottom(visible(0)) Caption(subst(F(text(s_AskNewVersionDlgCaption(AskWhat))) B(text(s_AskNewVersionDlgCaption(AskWhat))))) Body([AskNewVersionDlg_Body]) Inner(Bottom(visible(0))) ApplyToAll(use(AskWhat != #nvaRetryDownload) v(NeverAsk) text()))

[AskNewVersionDlg_Body]
Top     = a(la) sz(p,0) bg("AlertInfoTop")
Descr   = [AskNewVersionDlg_Body_Descr]
Bottom  = a(la) sz(p,1) bg("AlertInfoBottom")
Action  = [AskNewVersionDlg_Body_Action]

[AskNewVersionDlg_Body_Descr]
@       = a(la) sz(p,a) mg(17,17) bg("AlertInfo")
Icon    = sz(35,a) a(lt) bg("white") i("TaskUpdater32") 
Descr   = t(richedit) f("Normal_Bold") at(readonly,noborder,nofocus) a(as) sz(p,a) xy(10) text(s_AskNewVersionDlgDescr(AskWhat))
CurrentVersion 	= a(la) xy(45,8) f("Normal_Grey") visible(AskWhat == #nvaDownload && !NewProductName)
NewVersion 		= a(la) xy(45,8) f("Normal_Grey") visible(!(AskWhat == #nvaDownload && NewProductName))
File			= a(la) xy(45,8) f("Normal_Grey") visible(AskWhat == #nvaInstall || AskWhat == #nvaRemindInstall)
FileLink   		= $LinkKL a(as) text(SetupFolder + "\\") onclick(if(!gotofile(SetupFolder + "\\" + SetupFileName), msg("CantOpenFolder"))) visible(AskWhat == #nvaInstall || AskWhat == #nvaRemindInstall)
FileLinkTail	= a(as) text(SetupFileName) visible(AskWhat == #nvaInstall || AskWhat == #nvaRemindInstall) 
InfoLink 		= $LinkKL a(la) xy(45,8) visible(AskWhat == #nvaDownload && InfoLink) onclick(url(InfoLink))
DownSize		= t(richedit) sz(p,a) at(readonly,noborder,nofocus) a(la) xy(45,8) f("Normal_Grey") visible(AskWhat == #nvaDownload)

[AskNewVersionDlg_Body_Action]
@       = $AlertActions
Question   	= t(richedit) at(readonly,noborder,nofocus) a(as) sz(p,a) xy(17) f("Header3Lite") text(s_AskNewVersionDlgQuestion(AskWhat))
Download  	= [AlertDialog_ActionButton] enable(!NeverAsk) v(#nvDownload) onclick(NewVersionChoice = ctl.value; close(#m_res_ok)) subst(Name(text(s_AskNewVersionDlgDownloadName(AskWhat))) Descr(text(s_AskNewVersionDlgDownloadDescr(AskWhat))))
Cancel      = [AlertDialog_ActionButton] enable(1) v(#nvCancel) onclick(NewVersionChoice = ctl.value; close(#m_res_ok)) subst(Name(text(s_AskNewVersionDlgCancelName(AskWhat))) Descr(text(s_AskNewVersionDlgCancelDescr(AskWhat))))
